Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Class AnnotationBarHoverManager

    java.lang.Object
      org.eclipse.jface.text.AbstractInformationControlManager
          org.eclipse.jface.text.AbstractHoverInformationControlManager
              org.eclipse.jface.text.source.AnnotationBarHoverManager

public class AnnotationBarHoverManager
extends AbstractHoverInformationControlManager

This manager controls the layout, content, and visibility of an information control in reaction to mouse hover events issued by the vertical ruler of a source viewer.

Since:
  2.0

Nested Class Summary
`protected class` | `AnnotationBarHoverManager.Closer` The information control closer for the hover information.

Nested classes inherited from class org.eclipse.jface.text.AbstractInformationControlManager
`AbstractInformationControlManager.Anchor, AbstractInformationControlManager.IInformationControlCloser`

Field Summary
`protected boolean` | `fAllowMouseExit` Indicates whether the mouse cursor is allowed to leave the subject area without closing the hover.

Fields inherited from class org.eclipse.jface.text.AbstractInformationControlManager
`ANCHOR_BOTTOM, ANCHOR_GLOBAL, ANCHOR_LEFT, ANCHOR_RIGHT, ANCHOR_TOP, fDisposed, fInformationControl, fInformationControlCloser, fInformationControlCreator, STORE_LOCATION_X, STORE_LOCATION_Y, STORE_SIZE_HEIGHT, STORE_SIZE_WIDTH`

Constructor Summary
`AnnotationBarHoverManager(ISourceViewer sourceViewer, IVerticalRuler ruler, IAnnotationHover annotationHover, IInformationControlCreator creator)` Deprecated. As of 2.1, replaced by `AnnotationBarHoverManager(IVerticalRulerInfo, ISourceViewer, IAnnotationHover, IInformationControlCreator)`
`AnnotationBarHoverManager(IVerticalRulerInfo rulerInfo, ISourceViewer sourceViewer, IAnnotationHover annotationHover, IInformationControlCreator creator)` Creates an annotation hover manager with the given parameters.

Method Summary
`protected void` | `computeInformation()` Computes the information to be displayed and the area in which the computed information is valid.
`protected Point` | `computeLocation(Rectangle subjectArea, Point controlSize, AbstractInformationControlManager.Anchor anchor)` Computes the display location of the information control.
`protected Point` | `computeSizeConstraints(Control subjectControl, Rectangle subjectArea, IInformationControl informationControl)` Computes the size constraints of the information control in points.
`protected IAnnotationHover` | `getAnnotationHover()` Returns the annotation hover for this hover manager.
`protected ISourceViewer` | `getSourceViewer()` Returns the source viewer for this hover manager.
`protected IVerticalRulerInfo` | `getVerticalRulerInfo()` Returns the vertical ruler info for this hover manager

Methods inherited from class org.eclipse.jface.text.AbstractHoverInformationControlManager
`dispose, getHoverEvent, getHoverEventLocation, getHoverEventStateMask, presentInformation, setEnabled`

Methods inherited from class org.eclipse.jface.text.AbstractInformationControlManager
`computeInformationControlLocation, computeSizeConstraints, disposeInformationControl, doShowInformation, getInformationControl, getNextFallbackAnchor, getSubjectArea, getSubjectControl, handleInformationControlDisposed, handleSubjectControlDisposed, hideInformationControl, install, isEnabled, restoreInformationControlBounds, setAnchor, setCloser, setCustomInformationControlCreator, setFallbackAnchors, setInformation, setInformation, setMargins, setRestoreInformationControlBounds, setSizeConstraints, showInformation, showInformationControl, storeInformationControlBounds, takesFocusWhenVisible, updateLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fAllowMouseExit

    protected boolean fAllowMouseExit

  Indicates whether the mouse cursor is allowed to leave the subject area without closing the hover.

  Since:
    3.0

Constructor Detail

### AnnotationBarHoverManager

    public AnnotationBarHoverManager(ISourceViewer sourceViewer,
                                     IVerticalRuler ruler,
                                     IAnnotationHover annotationHover,
                                     IInformationControlCreator creator)

  Deprecated. As of 2.1, replaced by `AnnotationBarHoverManager(IVerticalRulerInfo, ISourceViewer, IAnnotationHover, IInformationControlCreator)`

  Creates an annotation hover manager with the given parameters. In addition, the hovers anchor is RIGHT and the margin is 5 points to the right.

Parameters:
  `sourceViewer` - the source viewer this manager connects to
  `ruler` - the vertical ruler this manager connects to
  `annotationHover` - the annotation hover providing the information to be displayed
  `creator` - the information control creator

### AnnotationBarHoverManager

    public AnnotationBarHoverManager(IVerticalRulerInfo rulerInfo,
                                     ISourceViewer sourceViewer,
                                     IAnnotationHover annotationHover,
                                     IInformationControlCreator creator)

  Creates an annotation hover manager with the given parameters. In addition, the hovers anchor is RIGHT and the margin is 5 points to the right.

Parameters:
  `rulerInfo` - the vertical ruler this manager connects to
  `sourceViewer` - the source viewer this manager connects to
  `annotationHover` - the annotation hover providing the information to be displayed
  `creator` - the information control creator
Since:
  2.1

Method Detail

### computeInformation

    protected void computeInformation()

  Description copied from class: `AbstractInformationControlManager`
  Computes the information to be displayed and the area in which the computed information is valid. Implementation of this method must finish their computation by setting the computation results using `setInformation`.

  Specified by:
    `computeInformation` in class `AbstractInformationControlManager`

### getAnnotationHover

    protected IAnnotationHover getAnnotationHover()

  Returns the annotation hover for this hover manager.

  Returns:
    the annotation hover for this hover manager
  Since:
    2.1

### getSourceViewer

    protected ISourceViewer getSourceViewer()

  Returns the source viewer for this hover manager.

  Returns:
    the source viewer for this hover manager
  Since:
    2.1

### getVerticalRulerInfo

    protected IVerticalRulerInfo getVerticalRulerInfo()

  Returns the vertical ruler info for this hover manager

  Returns:
    the vertical ruler info for this hover manager
  Since:
    2.1

### computeSizeConstraints

    protected Point computeSizeConstraints(Control subjectControl,
                                           Rectangle subjectArea,
                                           IInformationControl informationControl)

  Description copied from class: `AbstractInformationControlManager`
  Computes the size constraints of the information control in points.

  Overrides:
    `computeSizeConstraints` in class `AbstractInformationControlManager`
  Parameters:
    `subjectControl` - the subject control
    `subjectArea` - the subject area
    `informationControl` - the information control whose size constraints are computed
  Returns:
    the computed size constraints in points

### computeLocation

    protected Point computeLocation(Rectangle subjectArea,
                                    Point controlSize,
                                    AbstractInformationControlManager.Anchor anchor)

  Description copied from class: `AbstractInformationControlManager`
  Computes the display location of the information control. The location is computed considering the given subject area, the anchor at the subject area, and the size of the information control. This method does not care about whether the information control would be completely visible when placed at the result location.

  Overrides:
    `computeLocation` in class `AbstractInformationControlManager`
  Parameters:
    `subjectArea` - the subject area
    `controlSize` - the size of the information control
    `anchor` - the anchor at the subject area
  Returns:
    the display location of the information control

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.